<script>
	import {createEventDispatcher} from 'svelte'
	const dispatch = createEventDispatcher()
	export let value = ''
	export let border = 'gray'
</script>
<style>
	div{
		padding: 0.7em 1em;
		background-color: var(--color2);
		border-radius: 0.4em;
		margin: 0.2em;
		border: 1px solid var(--border);
	}
	div:hover{
		cursor: pointer;
	}
</style>
<div on:click={()=> dispatch('remove')} style='--border: {border}'>
	{value}
</div>
